%define module GD
%define name	perl-%{module}
%define version 2.35
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A perl5 interface to Thomas Boutell's gd library
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/GD/%{module}-%{version}.tar.bz2
BuildRequires:	gd-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	xpm-devel
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing


%prep
%setup -q -n %{module}-%{version}

# Remove Local from path
find . -type f | xargs perl -p -i -e "s|/usr/local/|/usr/|g"

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi -e "s|-L/usr/lib/X11||g;s|-L/usr/X11/lib||g;s|-L/usr/lib||g" Makefile.PL
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|g" Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%ifnarch ppc
%{__make} test
%endif

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README README.QUICKDRAW README.unix demos
%{perl_vendorarch}/GD*
%{perl_vendorarch}/auto/GD*
%{perl_vendorarch}/qd.pl
%{_mandir}/man?/*
%{_bindir}/bdf2gdfont.pl

%changelog
* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.35-1mdv2007.0
- New version 2.35

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.34-1mdv2007.0
- New release 2.34
- better source URL

* Thu May 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.32-2mdk
- fix buildrequires

* Thu Mar 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.32-1mdk
- New release 2.32
- spec cleanup
- correct optimisations
- %%mkrel

* Wed Mar 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.31-1mdk
- 2.31

* Thu Oct 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.30-1mdk
- 2.30

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.28-1mdk
- new version 
- fix sources url for rpmbuildupdate
- spec cleanup

* Sat Jul 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.25-1mdk
- 2.25
- Re-install qd.pl

* Thu Apr 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.23-1mdk
- 2.23
- add demos in doc

* Mon Mar 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.21-2mdk
- test 11 fails on ppc, disable tests for this arch

* Thu Feb 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.21-1mdk
- 2.21
- remove qd.pl, which isn't installed anymore

* Thu Nov 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.19-1mdk
- 2.19
- add tests

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.18-1mdk
- New version
- New script, bdf2gdfont.pl, to convert X BDF fonts to a format loadable by GD

* Tue Jul 27 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.16-1mdk
- 2.16.

* Fri Jul 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.15-1mdk
- 2.15.
- This release re-introduces GIF support. However it won't be enabled if
  libgd has been built without it.

* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.12-1mdk
- 2.12.

* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.07-3mdk
- fix buildrequires for 64bit ports

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.07-2mdk
- rebuilf for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.07-1mdk
- 2.07.

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.06-3mdk
- buildrequires
- don't require perl, rpm will figure it out by itself
- rm -rf %{buildroot} in %%install

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.06-2mdk
- rebuild for new auto{prov,req}

* Tue Mar  4 2003 <jmdault@mandrakesoft.com> 2.06-1mdk
- New version uses libgd2 since libgd1 is not in the distro anymore.
- IMPORTANT! Required by MySQL-bench and bugzilla

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.41-4mdk
- rebuild for perl thread-multi

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.41-3mdk
- lib64 fixes, don't add /usr/lib/X11 to linker search path

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.41-2mdk
- fix changelog entry (i did 1.41-1mdk, not warly, sorry)

* Tue Jul 23 2002 Warly <warly@mandrakesoft.com> 1.41-1mdk
- new version
- misc spec file fixes
- added P0 (no-locincpth)
- don't ship the patch_gd.pl file

* Tue Jul 23 2002 Warly <warly@mandrakesoft.com> 1.38-2mdk
- rebuild for perl 5.8.0

* Thu Jan 10 2002 Franois Pons <fpons@mandrakesoft.com> 1.38-1mdk
- simplified %%files.
- removed patch.
- 1.38.

* Wed Nov 07 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.33-2mdk
- rebuild against libpng3.

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.33-1mdk
- updated to 1.33

* Sun Apr 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.32-2mdk
- Allow build on non %%ix86 architecture

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.32-1mdk
- used srpm from Don Head <donhead@linux-certified.org> 
	- First Mandrake RPM
